#!/bin/bash

if [ "$QUERY_STRING" != "" ]; then
        tmp=${QUERY_STRING%"&"*}
        cmd=${tmp%"="*}
        echo "cmd = '$cmd'"
        if [ "$cmd" = "type" ]; then
                type=${tmp#*"="}
        fi

        tmp=${QUERY_STRING#*"&"}
        cmd=${tmp%"="*}
        echo "cmd = '$cmd'"
        if [ "$cmd" = "var" ]; then
                row=${tmp#*"="}
        fi
else
        type=0
        row=1
fi

if [ "$REQUEST_METHOD" = "POST" ]; then
        read QUERY_STRING
        REQUEST_METHOD=GET
        export REQUEST_METHOD
        export QUERY_STRING
fi

case $type in
        0) export type_string="Digital"
            ;;
        1) export type_string="Analog"
            ;;
        2) export type_string="Integer"
            ;;
esac


{

cat << EOT

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<!--tagparser="/pcotagfilt"-->
<head>
  <meta content="text/html; charset=ISO-8859-15" http-equiv="content-type">
  <link rel="stylesheet" href="../http/style/style.css" type="text/css">
  <title>Notification Editor - Variable $type_string $row</title>
  <style type="text/css">
    ul {list-style-type: none; font-size: 14px; margin: 10px; padding: 0px;}
    li {list-style-type: none; font-size: 14px; margin: 10px; padding: 0px;}
    table {font-size: 14px; font-family: Verdana, Arial, Helvetica, sans-serif;}
    form {border: 1px solid #cccccc; padding-bottom: 10px;}
  </style>
  <script type="text/javascript">

        function fast_select() {

        if ( "$type" != "0" ) {

        var thresholdv="<%getdb('notifycfg','notify_${type}${row}_threshold')%>";
        if ( thresholdv == '') {thresholdv='VAR_1'};
        if (thresholdv.slice(0,4)=="VAR_") {
            document.getElementById("threshold"+thresholdv).selected=true;
        }

        var hysteresysv="<%getdb('notifycfg','notify_${type}${row}_hysteresis')%>";
        if (hysteresysv == '') {hysteresysv='VAR_1'};
        if (hysteresysv.slice(0,4)=="VAR_") {
            document.getElementById("hysteresys"+hysteresysv).selected=true;
        }
        }

        var retryv="<%getdb('snmptrap','trap${type}${row}_retry')%>";
        if (retryv == "") {retryv="0"};
        document.getElementById("retry"+retryv).selected=true;

        var timeoutv="<%getdb('snmptrap','trap${type}${row}_timeout')%>";
        if (timeoutv == "") {timeoutv="1"};
        document.getElementById("timeout"+timeoutv).selected=true;

        var host1="<%getdb('snmptrap','trap${type}${row}_host1')%>";
        if (host1 == "") {host1="0"};
        document.getElementById("host1"+host1).selected=true;

        var host2="<%getdb('snmptrap','trap${type}${row}_host2')%>";
        if (host2 == "") {host2="0"};
        document.getElementById("host2"+host2).selected=true;

        var host3="<%getdb('snmptrap','trap${type}${row}_host3')%>";
        if (host3 == "") {host3="0"};
        document.getElementById("host3"+host3).selected=true;

        var host4="<%getdb('snmptrap','trap${type}${row}_host4')%>";
        if (host4 == "") {host4="0"};
        document.getElementById("host4"+host4).selected=true;

        var host5="<%getdb('snmptrap','trap${type}${row}_host5')%>";
        if (host5 == "") {host5="0"};
        document.getElementById("host5"+host5).selected=true;

        }

          function View_Event() {

                  fast_select();

        var Hysteresys="<%getdb('notifycfg','notify_${type}${row}_hysteresis')%>";
        var Threshold="<%getdb('notifycfg','notify_${type}${row}_threshold')%>";
          var BodyType="<%getdb('ssmtp.conf','email${type}${row}_body_type')%>";

                  if (Hysteresys.slice(0,4)=="VAR_") {
                          document.getElementById("form1").hysteresys_value.disabled=true;
                          document.getElementById("form1").hysteresys_value.value="";
                          document.getElementById("form1").hysteresys_idx.disabled=false;
                          document.getElementById("form1").HystByIdx[0].checked=false;
                          document.getElementById("form1").HystByIdx[1].checked=true;
                }

                  if (Threshold.slice(0,4)=="VAR_") {
                          document.getElementById("form1").threshold_value.disabled=true;
                          document.getElementById("form1").threshold_value.value="";
                          document.getElementById("form1").threshold_idx.disabled=false;
                          document.getElementById("form1").ThreshByIdx[0].checked=false;
                          document.getElementById("form1").ThreshByIdx[1].checked=true;
                }

                if (BodyType=="TEXT") {
                        document.getElementById("form2").BodyFromFile.disabled=true;
                        document.getElementById("form2").BodyFromText.disabled=false;
                        document.getElementById("form2").BodyFromFileRadio.checked=false;
                        document.getElementById("form2").BodyFromTextRadio.checked=true;
                } else {
                        document.getElementById("form2").BodyFromText.disabled=true;
                        document.getElementById("form2").BodyFromFile.disabled=false;
                        document.getElementById("form2").BodyFromTextRadio.checked=false;
                        document.getElementById("form2").BodyFromFileRadio.checked=true;
                }
        }

function popitup(url,name)

{
    newwindow=window.open(url,name,'height=500, width=700,toolbar=no,status=no,menubar=no,scrollbars=yes,resizable=yes');
        if (window.focus) {newwindow.focus()}
        return false;
}

  </script>
</head>

<body style="background-color: #ffffff; margin: 0px; border: 0px" onLoad="View_Event();">

<table style="width: 100%; border: 0px; vertical-align: middle;" cellpadding="0" cellspacing="0">
    <tr>
        <td style="width: 300px; height: 20px; text-align: left;"></td>
        <td style="height: 20px;"></td>
        <td style="width: 400px; height: 20px; text-align: right;"></td>
    </tr>
    <tr>
     <td colspan="3" rowspan="1"></td>
    </tr>
</table>

<br>

<div style="margin: 10px; padding: 10px;">

<font style="font-weight: bold; font-size: 16px; text-align: center">Type:</font><font style="font-weight: bold; font-size: 18px; color: red">

<script type="text/javascript">
    var StringType=new Array();
    StringType[0]="Digital";
    StringType[1]="Analog";
    StringType[2]="Integer";
    document.write(StringType[$type]);
</script>

</font>

<font style="font-weight: bold; font-size: 16px">Variable:</font><font style="font-weight: bold; font-size: 18px; color: red">$row</font>

<br><br>

<form id="form1" method="POST" action="notifycfg.cgi?type=${type}&amp;var=${row}">
<ul>
    <li style="padding-top: 10px; border: 0px; margin: 0px; font-weight: bold; color: #000000">Event Configuration</li>
</ul>

<table style="padding-left: 20px">

EOT

if [ "0" = "$type" ]; then
#### digital only

cat << EOT


</table>

EOT

else
#### Analog and integer
cat << EOT




EOT

fi

cat << EOT

</table>

<table style="padding-left: 20px; width: 400px">
    <tr>
        <td style="font-weight: bold; width: 200px">E-mail</td>
        <td>
            <input type="radio" name="?script:setdb('notifycfg','handler_${type}${row}_email')" value="0" checked="checked">Disabled
            <input type="radio" name="?script:setdb('notifycfg','handler_${type}${row}_email')" value="1" <%checkdbradio('notifycfg','handler_${type}${row}_email','1')%>>Enabled
        </td>
    </tr>
</table>
<!-- this tell pcod that the configuration is changed -->
<input type="hidden" name="?script:setdb('notifycfg','notify_updated')" value="1" >
<input type="hidden" name="?script:setdb('notifycfg','notify_${type}${row}_updated')" value="1" >
<br>
<input style="width: 100px; margin-left: 20px; margin-top: 10px" type="submit" value="Submit">

</form>



<form id="form2" method="POST" action="notifycfg.cgi?type=${type}&amp;var=${row}#email">

<ul>
    <li style="padding-top: 10px; border: 0px; margin: 0px; font-weight: bold; color: #000000"><a style="text-decoration: none; color: black" name=email>E-Mail Configuration</a></li>
</ul>

<table style="padding-left: 20px;">
    <tr>
        <td style="font-weight: bold; width: 200px">Subject*</td>
        <td>
                        <input style="width: 300px" type="text" name="?script:setdb('ssmtp.conf','email${type}${row}_subject')" value="<%getdb('ssmtp.conf','email${type}${row}_subject')%>">
        </td>
    </tr>
    <tr>
                  <td style="font-weight: bold; width: 200px">Body</td>
        <td>
                <table style="margin: 0px; padding: 0px;">
                         <tr>
                            <td><input style="padding: 0px; margin: 0px" id="BodyFromTextRadio" type="radio" name="?script:setdb('ssmtp.conf','email${type}${row}_body_type')" value="TEXT" onclick="this.form.elements['BodyFromFile'].disabled=true, this.form.elements['BodyFromText'].disabled=false" <%checkdbradio('ssmtp.conf','email${type}${row}_body_type','TEXT')%>></td>
                            <td style="width: 80px">From text</td>
                            <td><input style="width: 196px" id="BodyFromText" type="text" name="?script:setdb('ssmtp.conf','email${type}${row}_body_text')" value="<%getdb('ssmtp.conf','email${type}${row}_body_text')%>"></td>
                                </tr>
                        </table>
                </td>
    </tr>
</table>

<input type="hidden" name="?script:setdb('notifycfg','handler_type_3')" value="trap">
<!--<input style="width: 100px; margin-left: 20px; margin-top: 10px" type="submit" value="Submit">-->


<input type="hidden" name="?script:setdb('notifycfg','notify_updated')" value="1" >
<input type="hidden" name="?script:setdb('notifycfg','notify_${type}${row}_updated')" value="1" >
<br>

<ul style="margin-left: 20px;">
    <li style="font-size: 10px; font-weight: bold">(*) Adding "(date)" to the initial part of "Subject", pCOWeb will substitute (date) with the pCOWeb's system clock date. Using <i>(date) Logger</i> will give, as examples, "2006-07-27 Logger" where 2006 is the year, 7 the month, 27 the day.</li>
</ul>

<input style="width: 100px; margin-left: 20px; margin-top: 10px" type="submit" value="Submit">

</form>

</div>

<div style="text-decoration: none; padding-left: 10px; padding-bottom: 10px; border: 0px none 0; vertical-align: bottom; text-align: center; text-decoration: none;">
  <a href="javascript:window.close();">Close Window</a>
</div>
</body>
</html>
EOT

} | /usr/local/root/pcotagfilt